import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Button here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Button extends Actor
{
    private MouseClicked callBack;
    private String message;
    private GreenfootImage image;
    
    public static interface MouseClicked {
        public void onMouseClicked();
    }
    
    public Button(MouseClicked callBack, String message) {
        super();
        this.callBack = callBack;
        this.message = message;
    }
    
    public void addedToWorld(World world){
        image = new GreenfootImage(message.length() * 9 + 7 * 2, 30);
        
        image.setColor(getPaintWorld().buttonFill);
        image.fill();
        
        image.setColor(getPaintWorld().frame);
        image.drawRect(0, 0, image.getWidth() - 1, image.getHeight() - 1);
        
        image.setColor(getPaintWorld().text);
        getPaintWorld().drawStringMiddle(image, message, image.getWidth() / 2, 20);
        
        setImage(image);
    }
    
    public void act() 
    {
        if(Greenfoot.mouseClicked(this)) {
            callBack.onMouseClicked();
        }
    }    
    
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }
}
