import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class ButtonGuide here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ButtonGuide extends Actor
{
    MouseInfo mouse;
    Guide theGuide;
    
    GreenfootImage image;
    
    boolean guideUp = false;
    
    
    Color fill;
    Color line;
    Color text;
    /**
     * Act - do whatever the ButtonGuide wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        mouse = Greenfoot.getMouseInfo();
        if(mouse != null){
            if(Greenfoot.mouseClicked(this)){
                if(!guideUp){
                    guideUp = true;
                    theGuide = new Guide();
        getWorld().addObject(theGuide, getWorld().getWidth() - getPaintWorld().guideWindow.getWidth() / 2, (getWorld().getHeight() + getPaintWorld().infoBar.getHeight()) / 2);
                }else{
                    guideUp = false;
                    getWorld().removeObject(theGuide);
                }
            }
        }
    } 
    
    public void addedToWorld(World world){
        //get colors
        fill = getPaintWorld().buttonFill;
        line = getPaintWorld().frame;
        text = getPaintWorld().text;
        
        //declare image
        image = new GreenfootImage(50, 30);
        
        //draw fill
        image.setColor(fill);
        image.fill();
        
        //draw border
        image.setColor(line);
        image.drawRect(0, 0, image.getWidth() - 1, image.getHeight() - 1);
        
        //draw text
        image.setColor(text);
        image.drawString(getPaintWorld().button, 11, 20);
        
        //adds the guide
        guideUp = true;
        theGuide = new Guide();
        getWorld().addObject(theGuide, getWorld().getWidth() - getPaintWorld().guideWindow.getWidth() / 2, (getWorld().getHeight() + getPaintWorld().infoBar.getHeight()) / 2);
        
        //set image
        setImage(image);
    }
    
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }    
}
