import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Cursor here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Cursor extends Actor
{
    MouseInfo mouse;
    GreenfootImage image;
    
    boolean isCircle;
    int drawArea;
    /**
     * Act - do whatever the Cursor wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        mouse = Greenfoot.getMouseInfo();
        if(mouse != null){
            setLocation(mouse.getX(), mouse.getY());
        }
        
        //does not always need to redraw the image.
        if(drawArea != getPaintWorld().drawArea){
            drawArea = getPaintWorld().drawArea;
            
            image.clear();
            image.drawOval(image.getWidth() / 2 - drawArea / 2, image.getHeight() / 2 - drawArea / 2, drawArea, drawArea);
            
        }
    }   
    
    public void addedToWorld(World world){
        image = new GreenfootImage(getWorld().getWidth() + 2, getWorld().getHeight() + 2);
        setImage(image);
    }
    
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }    
}
