import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Diagram here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Diagram extends Actor
{
    private GreenfootImage image;
    
    Color fill;
    Color line;
    Color color;
    
    
    /**
     * Act - do whatever the Diagram wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        color = getPaintWorld().color;
        
        //fill caption
        image.setColor(fill);
        image.fill();
        
        //draw frame
        image.setColor(line);
        image.drawRect(0, 0, image.getWidth() - 1, image.getHeight() - 1);
        
        //draw diagram
        drawStick(color, 1, 5);
        drawStick(color, 2, 5);
        drawStick(color, 3, 5);
    }    
    
    private void drawStick(Color color, int which, int stickWidth){
        int diagram = 0;
        if(which == 1){
            diagram = color.getRed();
            image.setColor(Color.RED);
        }else if(which == 2){
            diagram = color.getGreen();
            image.setColor(Color.GREEN);
        }else{
            diagram = color.getBlue();
            image.setColor(Color.BLUE);
        }
        image.fillRect(image.getWidth() / 4 * which, image.getHeight() - diagram * image.getHeight() / 255 + 1, stickWidth, diagram * image.getHeight() / 255 - 2);
        
        image.setColor(Color.BLACK);
        image.drawRect(image.getWidth() / 4 * which, image.getHeight() - diagram * image.getHeight() / 255 + 1, stickWidth, diagram * image.getHeight() / 255 - 2);
    }
    
    public void addedToWorld(World world){
        fill = getPaintWorld().fill;
        line = getPaintWorld().frame;
        color = getPaintWorld().color;
        
        image = new GreenfootImage(50, 30);
        
        act();
        
        setImage(image);
    }
    
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }    
}
