        import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class Menu here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Menu extends Actor
{
    GreenfootImage image;
    
    Button rainbow;
    Button whiteBlack;
    Button bare;
    
    public void addedToWorld(World world){
        image = new GreenfootImage(getWorld().getWidth() / 2, getWorld().getHeight() / 2);
        
        image.setColor(getPaintWorld().fill);
        image.fill();
        
        image.setColor(getPaintWorld().frame);
        image.drawRect(0, 0, image.getWidth() - 1, image.getHeight() - 1);
        
        image.setColor(getPaintWorld().text);
        
        getPaintWorld().drawTextMiddle(image, new String[]{"Make your image.", "Choose an advanced setting or start by blank."}, image.getWidth() / 2, 30);
        
        setImage(image);
      
        rainbow = new Button(new Button.MouseClicked(){
            public void onMouseClicked(){
                start(PaintWorld.StartWays.RAINBOW);
            }
        }, "Rainbow");
        
        whiteBlack = new Button(new Button.MouseClicked(){
            public void onMouseClicked(){
                start(PaintWorld.StartWays.BLACK_TO_WHITE);
            }
        }, "White-black");
        
        bare = new Button(new Button.MouseClicked(){
            public void onMouseClicked(){
                start(PaintWorld.StartWays.BLANK);
            }
        }, "Blank");
        
        // Add buttons.
        
        getWorld().addObject(rainbow, getWorld().getWidth() / 2, getWorld().getHeight() / 2 + 50);
        getWorld().addObject(whiteBlack, getWorld().getWidth() / 2, getWorld().getHeight() / 2 + 0);
        getWorld().addObject(bare, getWorld().getWidth() / 2, getWorld().getHeight() / 2 - 50);
    }
    
    public void start(PaintWorld.StartWays startWays) {
        getPaintWorld().start = startWays;
        getWorld().removeObject(whiteBlack);
        getWorld().removeObject(bare);
        getWorld().removeObject(rainbow);
        
        getPaintWorld().state = PaintWorld.States.UPDATING;
        getWorld().removeObject(this);
    }
        
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }
}
