import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Guide here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Guide extends Actor
{
    GreenfootImage image;
    
    MouseInfo mouse;
    
    boolean stateSmall = false;
    
    //draw image colors(standardized)
    Color fill;
    Color line;
    Color text;
    
    /**
     * Creates the image for this class.
     */
    public void addedToWorld(World world){
          
        //import standardized colors
        fill = getPaintWorld().fill;
        line = getPaintWorld().frame;
        text = getPaintWorld().text;
        
        //make image
        image = getPaintWorld().guideWindow;
        
        //fill background
        image.setColor(fill);
        image.fill();
        
        //draw frame
        image.setColor(line);
        image.drawLine(0, 0, 0, image.getHeight() - 1);
        
        //draw text
        image.setColor(text);
        getPaintWorld().drawTextMiddle(image, getPaintWorld().guide, image.getWidth() / 2, 27);
        //printString(getPaintWorld().guide, image, 20, 27);
        
        //set image
        setImage(image);
    }
    
    private void printString(String[] guide, GreenfootImage image, int x, int y){
        for (int i = 0; i < guide.length; i++){
            image.drawString(guide[i], x, y + i * 17);
        }
    }
        
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }
}
