import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class InfoBar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class InfoBar extends Actor
{
    //image for the class
    GreenfootImage image;
    
    private String info = "";

    private int colorExampleWidth = 30;
    
    //color for color example
    Color color;
    
    //
    int drawArea;
    
    //colors used for info bar's layout
    Color frame;
    Color text;
    Color fill;
    /**
     * Act - do whatever the InfoBar wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        if(color != getPaintWorld().color || drawArea != getPaintWorld().drawArea){
            color = getPaintWorld().color;
            drawArea = getPaintWorld().drawArea;
            
            image.clear();
        
            //draw fill
            image.setColor(fill);
            image.fill();
        
            //draw frame
            image.setColor(frame);
            image.drawLine(0, image.getHeight() - 1,image.getWidth() - 1, image.getHeight() - 1);
        
            //draw text
            image.setColor(text);
            getPaintWorld().drawTextLeft(image, new String[]{"Red: " + color.getRed(), "Green: " + color.getGreen(), "Blue: " + color.getBlue() }, 10, 17);
            image.drawString("Size: " + drawArea, 100, 20);
            
            //draw brush color example
            drawColorExample();
        }
    }    
    
    public void addedToWorld(World world){
        image = getPaintWorld().infoBar;
        
        //import colors for layout
        frame = getPaintWorld().frame;
        text = getPaintWorld().text;
        fill = getPaintWorld().fill;
        
        //run the draw process
        act();
        
        setImage(image);
        
    }
    
    private void drawColorExample(){
        //fill caption
        image.setColor(color);
        image.fillRect(image.getWidth() - 40, image.getHeight() / 2 - colorExampleWidth / 2, colorExampleWidth, colorExampleWidth);
        
        //draw line
        image.setColor(frame);
        image.drawRect(image.getWidth() - 40, image.getHeight() / 2 - colorExampleWidth / 2, colorExampleWidth, colorExampleWidth);
    }   
    
    private void printString(String[] guide, GreenfootImage image, int x, int y){
        for (int i = 0; i < guide.length; i++){
            image.drawString(guide[i], x, y + i * 17);
        }
    }
    
    private PaintWorld getPaintWorld(){
        return (PaintWorld)getWorld();
    }
}
